<?php
/*******************************************************************************
*
*		    [ ./install/maj.php (franais) ]
*
*	--------------------------------------------------------------------------
*	Commenc le : 	11 mai 2005
*	Copyright : 	Grummfy
*	Site Web : 		http://www.grummfy.com
*	E-mail : 		grummfy@yahoo.fr
*	--------------------------------------------------------------------------
*	Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les 
*	termes de la Licence Publique Gnrale GNU publie par la Free Software Foundation 
*	(version 2). Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails. 
*	Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps 
*	que ce programme ; si ce n'est pas le cas, crivez  la Free Software Foundation, 
*	Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis. 
*	--------------------------------------------------------------------------
*
*	Dernire modification le 08 octobre 2005 par Grummfy
*	Templates : 1
*		install/maj_corps.tpl
*
*******************************************************************************/

/*******************************************************************************
*
* Ceci est inspir de l'install de fsb cre par Genova
*
*******************************************************************************/

$theme_pack = 'IceCold';
$langue_pack = 'fr';
$sql_dbms = 'mysql';
$sub_version = 'ROOT';

define('FORUM', TRUE);
set_magic_quotes_runtime(0);
error_reporting( E_ERROR | E_WARNING | E_PARSE );

//
// Si register_long_arrays() est  OFF (PHP5)
//
$globals = array('GET', 'POST', 'COOKIE', 'ENV', 'SERVER');
for ( $i = 0; $i < 5; $i++ )
{
	${'HTTP_' . $globals[$i] . '_VARS'} = ${'_' . $globals[$i]};
}
$HTTP_POST_FILES = $_FILES;

$racine = './../';
include($racine . 'config/config.php');

if ( !defined('FSB_EST_INSTALLE') )
{
	header('location: ' . $racine . 'install/installation.php');
	exit;
}

include($racine . 'cache/fichier_config.php' );
include($racine . 'langues/' . $langue_pack . '/langue_install.php');
include($racine . 'includes/functions/fonctions.php');
include($racine . 'includes/class/class_tpl.php');
include($racine . 'includes/class/class_cache.php');
include( $racine . 'includes/class/class_bdd_' . $sql_dbms . '.php' );
include( $racine . 'includes/constantes.php' );
include($racine . 'includes/class/class_cache_parser.php');

$cache = new cache($racine . 'cache/');
$tpl = new Tpl('./');
$bdd = new sql($serveur_bdd, $login_bdd, $mdp_bdd, $nom_bdd);
$pcache = new pcache($racine . 'cache/');

$login = ( isset($HTTP_GET_VARS['l']) )?$HTTP_GET_VARS['l']:$_GET['l'];
$mdp = ( isset($HTTP_GET_VARS['p']) )?$HTTP_GET_VARS['p']:$_GET['p'];

//
// On met  jour le forum
//
if ( isset($HTTP_POST_VARS['maj']) )
{
	if ( $bdd->bdd_id )
	{
		//
		// On rcupre la version de MySQL
		//
		$sql = 'SELECT VERSION() as MySQL_version';
		if ( ! $result = $bdd->requete($sql) )
		{
			die('Impossible de rcuprer la version de MySQL<br /><br />' . mysql_error() . '<br /><br />' . $sql);
		}
		$stat = $bdd->tableau($result);

		/*
		** On met  jour le cache
		*/
		include($racine . 'install/premods_schema/requetes_cache.php');
		$count_CACHE = count($R_CACHE);
		for ($i = 0; $i < $count_CACHE; $i++)
		{
			if (!$pcache->query($R_CACHE[$i]))
			{
				die($pcache->errno_text . '<br /><br />' . htmlSpecialChars($pcache->errno_query));
			}
		}

		/*
		** On met  jour les tables sur la base de donne MySQL
		*/
		include($racine . 'install/premods_schema/' . $sql_dbms . '_structure.php');
		include($racine . 'install/premods_schema/' . $sql_dbms . '_donnees.php');

		$bdd_var = array('STRUCTURE', 'DONNEES');
		foreach ($bdd_var as $bdd_req)
		{
			foreach ($bdd_req as $sql)
			{
				if (!$bdd->requete($sql))
				{
					die($bdd->error() . '<br /><br /><b>' . $sql . '</b>');
				}
			}
		}

		$tpl->set_filenames(array('corps' => 'maj_corps.tpl'));
		$tpl->assign_vars( array(
			'L_TITRE' =>			$langue['titre'],
			'THEME_CSS' =>			$racine . 'themes/' . $theme_pack . '/' . $theme_pack . '.css'
		));
		$tpl->create_block('maj_finie');
		$tpl->assign_vars( array(
			  'L_SUCCES' =>      $langue['install_sucess'],
			  'L_FIN_INSTALL' =>   sprintf($langue['install_fin'], $login, $mdp, '<a href="' . $racine . 'index.php' . '">', '</a>'),
			  )
			 );

		if (@file_exists('maj.php') && !@unlink('maj.php'))
		{
			die($langue['info_titre'] . '<br /><br />' . $langue['er_supprimer_install']);
		}
	}
	else
	{
		die('Erreur de connxion  la base de donnes<br />');
	}
}
else
{
	$tpl->set_filenames(array('corps' => 'maj_corps.tpl'));
	$tpl->create_block('maj');
	$tpl->assign_vars( array(
		'L_TITRE' =>			$langue['titre'],
		'V_ACTION' =>			'./maj.php?l=' . $login . '&p=' . $mdp,
		'THEME_CSS' =>			$racine . 'themes/' . $theme_pack . '/' . $theme_pack . '.css'
	));
}

$tpl->pparse('corps');
?>